[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarAsError

Create an error-typed variant

## Declaration

Source position: variants.pp line 113

`function VarAsError(`
`AResult: HRESULT`
`):Variant;`

## Arguments

`AResult` |  | Error code to store in the variant/

## Function result

The new error-typed variant

## Description

VarAsError creates an error-typed variant with value aResult.

## Errors

None.

## See also

SetClearVarToEmptyParam |  | Create an error variant with value VAR_PARAMNOTFOUND
VarIsError |  | Check if the variant has type varError